<?php
// Copyright 1999-2014. Parallels IP Holdings GmbH. All Rights Reserved.
?>
<?php echo $this->form; ?>
<script type="text/javascript">
    //<![CDATA[
    Jsw.onReady(function() {
        var checkFormStatus = function() {
            var restoreButtonDisabled = false;

            <?php if ($this->type == 'local'): ?>
            var restoreModifiedDump = $('restoreModifiedDump-restoreModifiedDumpCheckbox');
            restoreButtonDisabled |= restoreModifiedDump && !restoreModifiedDump.checked;
            <?php endif; ?>

            var restoreTypeFull = $('contentSelectSection-restoreType-full');
            var showComponents = !restoreTypeFull || restoreTypeFull.checked;
            var restoreTypeGranular = $('contentSelectSection-restoreType-granular');
            var showGranular = restoreTypeGranular && restoreTypeGranular.checked;

            var restoreComponents = $('restoreComponents');
            if (restoreComponents) {
                restoreComponents.toggle(showComponents);
                if (showComponents) {
                    var selected = false;
                    restoreComponents.select('input').each(function(element) {
                        if (element.checked) {
                            selected = true;
                        }
                    });
                    restoreButtonDisabled |= !selected;
                }
            }

            var restoreObjectType = $('contentSelectSection-restoreObjectType');
            if (restoreObjectType) {
                restoreObjectType.up('.form-row').toggle(showGranular);
                restoreObjectType.select('option').each(function(typeElement) {
                    var restoreObjects = $('contentSelectSection-restoreObjects_' + typeElement.value);
                    var showRestoreObjects = showGranular && typeElement.selected;
                    if (restoreObjects) {
                        var subscriptionLookup = $('contentSelectSection-subscriptionLookup_' + typeElement.value);
                        var restoreObjectsControl = Jsw.getComponent(restoreObjects.identify());

                        if (subscriptionLookup) {
                            subscriptionLookup.up('.form-row').toggle(showRestoreObjects);
                            var lookupControl = Jsw.getComponent(subscriptionLookup.identify());
                            lookupControl.onChange = function() {
                                if (lookupControl.isEmpty()) {
                                    checkFormStatus();
                                    return;
                                }
                                var subscription = lookupControl.getValue().evalJSON();
                                var urlParams = '/subscription-name/' + encodeURIComponent(subscription.name) +
                                    '/subscription-guid/' + encodeURIComponent(subscription.guid);
                                if (restoreObjectsControl instanceof Jsw.DoubleListSelector) {
                                    restoreObjectsControl.reload(urlParams);
                                }
                                if (restoreObjectsControl instanceof Jsw.DynamicSubForm) {
                                    restoreObjectsControl.setDataUrlParams(urlParams);
                                }
                                checkFormStatus();
                            };

                            if (showRestoreObjects) {
                                restoreButtonDisabled |= lookupControl.isEmpty();
                                showRestoreObjects &= !lookupControl.isEmpty();
                            }
                        }

                        if (restoreObjectsControl instanceof Jsw.DoubleListSelector) {
                            restoreObjects.up('.form-row').toggle(showRestoreObjects);
                            restoreObjectsControl.onChange = checkFormStatus;
                            if (showRestoreObjects) {
                                restoreButtonDisabled |= restoreObjectsControl.isEmpty();
                            }
                        }

                        if (restoreObjectsControl instanceof Jsw.DynamicSubForm) {
                            restoreObjects.toggle(showRestoreObjects);
                            restoreObjectsControl.onChange = checkFormStatus;
                            if (showRestoreObjects) {
                                restoreButtonDisabled |= restoreObjectsControl.isEmpty();
                            }
                        }
                    }
                });
            }

            var contentRestoreType = $('restorationOptions-contentRestoreType-form-row');
            if (contentRestoreType) {
                contentRestoreType.toggle(showGranular);
                var restorationOptions = $('restorationOptions');
                if (1 == restorationOptions.select('.form-row').length) {
                    restorationOptions.toggle(showGranular);
                }
            }

            var restoreButton = Jsw.getComponent('btn-send');
            if (restoreButton) {
                if (restoreButtonDisabled) {
                    restoreButton.disable();
                } else {
                    restoreButton.enable();
                }
            }
        };

        [
            $('restoreModifiedDump-restoreModifiedDumpCheckbox'),
            $('contentSelectSection-restoreType-full'),
            $('contentSelectSection-restoreType-granular'),
            $('contentSelectSection-restoreObjectType')
        ].concat($$('#restoreComponents input')).each(function(element) {
            if (element) {
                if ('SELECT' == element.tagName) {
                    element.observe('click', checkFormStatus);
                    element.observe('change', checkFormStatus);
                } else {
                    element.observe('click', checkFormStatus);
                }
            }
        });

        var granularNotSupported = $('contentSelectSection-restoreType-granularNotSupported');
        if (granularNotSupported) {
            granularNotSupported.disable();
        }

        var fullNotSupportedInResellerPowerUser = $('contentSelectSection-restoreType-fullNotSupportedInResellerPowerUser');
        if (fullNotSupportedInResellerPowerUser) {
            fullNotSupportedInResellerPowerUser.disable();
        }

        checkFormStatus();
    });
    //]]>
</script>